## org.hibernate.envers.event
Class EnversPostInsertEventListenerImpl

    java.lang.Object
      org.hibernate.envers.event.BaseEnversEventListener
          org.hibernate.envers.event.EnversPostInsertEventListenerImpl

All Implemented Interfaces:
  Serializable, EnversListener, PostInsertEventListener

    public class EnversPostInsertEventListenerImpl

extends BaseEnversEventListener
implements PostInsertEventListener

See Also:
  Serialized Form

Constructor Summary
`EnversPostInsertEventListenerImpl(AuditConfiguration enversConfiguration)`

Method Summary
`void` `onPostInsert(PostInsertEvent event)`

Methods inherited from class org.hibernate.envers.event.BaseEnversEventListener
`generateBidirectionalCollectionChangeWorkUnits, getAuditConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnversPostInsertEventListenerImpl

    public EnversPostInsertEventListenerImpl(AuditConfiguration enversConfiguration)

Method Detail

### onPostInsert

    public void onPostInsert(PostInsertEvent event)

  Specified by:
    `onPostInsert` in interface `PostInsertEventListener`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.